cancel
Showing results for 
Search instead for 
Did you mean: 

SAP 8.0 GUI Upgrade 64/32bit support office 365?

M_SapConsultant
Discoverer
0 Kudos

We are upgrading to SAP GUI 8.0 - Several users are using 64 bit and 32 bit versions. When upgrading to GUI 8.0 will this cause any issues as the install requires either 64 or 32 during the installation. I don't think installing both 64 and 32 bit version in parallel are possible. Can you please confirm?

M_SapConsultant
Discoverer
0 Kudos
I meant to say the current OS is 64 and 32 and we want to install SAP GUI 8.0. Will this cause any compatibly issues with Office 365

Accepted Solutions (0)

Answers (2)

Answers (2)

FrankKrauseGUI
Advisor
Advisor
0 Kudos

Hello,

as already mentioned, you should have a look at SAP Note 
3218166 - SAP GUI for Windows: Functional differences of the 64bit version compared to the 32bit version

Beyond that: If you are using a 64bit version of the locally installed Office 365 you are on the safe side if you combine this with a 64bit version of SAP GUI. However, if you are using a 32bit version of Office 365 and combine that with a 64bit version of SAP GUI, you may experience issues. There are for example scenarios in which Excel macros are used which make use of SAP GUI Controls like the SAP Logon Control, Functions Control and BAPI Control. Naturally, the 64bit version of SAP GUI contains the 64bit versions of these controls, but a 32bit Excel cannot invoke 64bit ActiveX components. Therefore, these scenarios would fail.
This is one of the reasons why I recommend to use versions with matching bitness (32bit and 32bit vs. 64bit and 64bit).

Best regards,
Frank

BrianRay
Explorer
0 Kudos

Hello,

No, you cannot install both together, see

3218166 - SAP GUI for Windows: Functional differences of the 64bit version compared to the 32bit version

Which reads:  

General restrictions

  • No parallel installation of 32bit and 64bit SAP GUI for Windows versions

    The SAP GUI for Windows installation prevents a parallel installation of a 32bit and a 64bit version and considers these two different products. Therefore, you need to decide which version to use before installing. 

 

We have been using the 64-bit version since mid-last year and since SP05 it has been stable.